Upstream information

CVE-2010-0160 at MITRE

Description

The Web Worker functionality in Mozilla Firefox 3.0.x before 3.0.18 and 3.5.x before 3.5.8, and SeaMonkey before 2.0.3, does not properly handle array data types for posted messages, which allows remote attackers to cause a denial of service (heap memory corruption and application crash) or possibly execute arbitrary code via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 576969 [RESOLVED / FIXED], 581160 [RESOLVED / DUPLICATE], 584499 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.9-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-32bit >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-translations >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-x86 >= 1.9.1.9-1.12.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP1 GA mozilla-xulrunner190
SUSE Linux Enterprise Server 11 SP1 GA mozilla-xulrunner191
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA MozillaFirefox
SUSE Linux Enterprise Server for SAP Applications 11
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.9-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel
SUSE Linux Enterprise 11 Moblin 2.1
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
SAT Patch Nr: 2031
SUSE Linux Enterprise Server for SAP 10 SP2
  • mozilla-xulrunner190 >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.4.1
sles10-sp2.ppc
sles10-sp2-debuginfo.s390x
sled10-sp2.x86
sles10-sp2.ia64
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86-64
sles10-sp2.x86
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.x86
sle10-sp2-sdk.x86
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.s390x
sled10-sp2.x86-64
sles10-sp2-debuginfo.ia64
ZYPP Patch Nr: 6871
SUSE Linux Enterprise SDK 10 SP2
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.4.1
  • python-xpcom190 >= 1.9.0.18-0.4.1
sles10-sp2.ppc
sles10-sp2-debuginfo.s390x
sled10-sp2.x86
sles10-sp2.ia64
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86-64
sles10-sp2.x86
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.x86
sle10-sp2-sdk.x86
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.s390x
sled10-sp2.x86-64
sles10-sp2-debuginfo.ia64
ZYPP Patch Nr: 6871
openSUSE 11.2
  • seamonkey-debuginfo >= 2.0.3-0.1.1
  • seamonkey-debugsource >= 2.0.3-0.1.1
openSUSE 11.2
  • seamonkey >= 2.0.3-0.1.1
  • seamonkey-dom-inspector >= 2.0.3-0.1.1
  • seamonkey-irc >= 2.0.3-0.1.1
  • seamonkey-venkman >= 2.0.3-0.1.1
SUSE Linux Enterprise 11 Moblin 2.0
  • mozilla-xulrunner190-debuginfo >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.18-0.1.1
SAT Patch Nr: 2030
SUSE Linux Enterprise 11 Moblin 2.0
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
SAT Patch Nr: 2030
openSUSE 11.0
  • MozillaFirefox-debuginfo >= 3.0.18-0.1
  • MozillaFirefox-debugsource >= 3.0.18-0.1
  • mozilla-xulrunner190-debuginfo >= 1.9.0.18-0.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.18-0.1
openSUSE 11.0
  • MozillaFirefox >= 3.0.18-0.1
  • MozillaFirefox-translations >= 3.0.18-0.1
  • mozilla-xulrunner190 >= 1.9.0.18-0.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1
  • mozilla-xulrunner190-64bit >= 1.9.0.18-0.1
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.1
  • mozilla-xulrunner190-gnomevfs-64bit >= 1.9.0.18-0.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.1
  • mozilla-xulrunner190-translations-64bit >= 1.9.0.18-0.1
openSUSE 11.1
  • MozillaFirefox-debuginfo >= 3.0.18-0.1.1
  • MozillaFirefox-debuginfo >= 3.0.18-0.1.2
  • MozillaFirefox-debugsource >= 3.0.18-0.1.1
  • MozillaFirefox-debugsource >= 3.0.18-0.1.2
  • mozilla-xulrunner190-debuginfo >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-debuginfo-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.18-0.1.1
openSUSE 11.1
  • MozillaFirefox >= 3.0.18-0.1.1
  • MozillaFirefox >= 3.0.18-0.1.2
  • MozillaFirefox-branding-upstream >= 3.0.18-0.1.1
  • MozillaFirefox-branding-upstream >= 3.0.18-0.1.2
  • MozillaFirefox-translations >= 3.0.18-0.1.1
  • MozillaFirefox-translations >= 3.0.18-0.1.2
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.1.1
  • python-xpcom190 >= 1.9.0.18-0.1.1
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner191-devel >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner191-devel >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs-x86 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations-x86 >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner191-devel >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise Desktop 11 GA
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
sles11.x86
sle11-debuginfo.x86
sles11.x86-64
sle11-sdk.x86
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sled11.x86-64
sles11.ia64
sle11-sdk.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sles11.s390x
sled11.x86
sle11-sdk.x86-64
sles11.ppc
sle11-sdk.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2025
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • mozilla-xulrunner190 >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.4.1
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.s390x
sle10-sp3-sdk.x86
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.x86-64
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sled10-sp3.x86-64
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 6866
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • mozilla-xulrunner190 >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.4.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.4.1
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.s390x
sle10-sp3-sdk.x86
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.x86-64
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sled10-sp3.x86-64
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 6866
SUSE Linux Enterprise SDK 10 SP3
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.4.1
  • python-xpcom190 >= 1.9.0.18-0.4.1
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.s390x
sle10-sp3-sdk.x86
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.x86-64
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sled10-sp3.x86-64
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 6866
openSUSE 11.2
  • MozillaFirefox-debuginfo >= 3.5.8-0.1.1
  • MozillaFirefox-debugsource >= 3.5.8-0.1.1
  • mozilla-xulrunner191-debuginfo >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-debuginfo-32bit >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-debugsource >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-devel-debuginfo >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-gnomevfs-debuginfo >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-gnomevfs-debuginfo-32bit >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-kde4-debuginfo >= 0.6-0.1.2
  • mozilla-xulrunner191-kde4-debugsource >= 0.6-0.1.2
  • python-xpcom191-debuginfo >= 1.9.1.8-0.1.1
openSUSE 11.2
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-branding-upstream >= 3.5.8-0.1.1
  • MozillaFirefox-translations-common >= 3.5.8-0.1.1
  • MozillaFirefox-translations-other >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-devel >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-kde4 >= 0.6-0.1.2
  • mozilla-xulrunner191-translations-common >= 1.9.1.8-0.1.1
  • mozilla-xulrunner191-translations-other >= 1.9.1.8-0.1.1
  • python-xpcom191 >= 1.9.1.8-0.1.1
SUSE Linux Enterprise 11 Moblin 2.1
  • MozillaFirefox >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
SAT Patch Nr: 2024
SUSE Linux Enterprise Server for SAP 10 SP2
  • MozillaFirefox >= 3.5.8-0.3
  • MozillaFirefox-translations >= 3.5.8-0.3
  • mozilla-xulrunner191 >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.8-1.4.1
sle10-sp2-sdk.ppc
sles10-sp2.ia64
sles10-sp2-debuginfo.x86-64
sled10-sp2.x86-64
sles10-sp2.ppc
sles10-sp2-debuginfo.s390x
sles10-sp2-debuginfo.x86
sles10-sp2.s390x
sled10-sp2.x86
sles10-sp2-debuginfo.ia64
sle10-sp2-sdk.s390x
sles10-sp2.x86
sle10-sp2-sdk.x86
sles10-sp2.x86-64
sle10-sp2-sdk.ia64
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.x86-64
ZYPP Patch Nr: 6863
SUSE Linux Enterprise SDK 10 SP2
  • MozillaFirefox-branding-upstream >= 3.5.8-0.3
  • mozilla-xulrunner191-devel >= 1.9.1.8-1.4.1
  • python-xpcom191 >= 1.9.1.8-1.4.1
sle10-sp2-sdk.ppc
sles10-sp2.ia64
sles10-sp2-debuginfo.x86-64
sled10-sp2.x86-64
sles10-sp2.ppc
sles10-sp2-debuginfo.s390x
sles10-sp2-debuginfo.x86
sles10-sp2.s390x
sled10-sp2.x86
sles10-sp2-debuginfo.ia64
sle10-sp2-sdk.s390x
sles10-sp2.x86
sle10-sp2-sdk.x86
sles10-sp2.x86-64
sle10-sp2-sdk.ia64
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.x86-64
ZYPP Patch Nr: 6863
SUSE Linux Enterprise 11 Moblin 2.0
  • MozillaFirefox-debuginfo >= 3.5.8-0.1.1
  • MozillaFirefox-debugsource >= 3.5.8-0.1.1
  • mozilla-xulrunner191-debuginfo >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-debugsource >= 1.9.1.8-1.1.1
SAT Patch Nr: 2023
SUSE Linux Enterprise 11 Moblin 2.0
  • MozillaFirefox >= 3.5.8-0.1.1
  • MozillaFirefox-translations >= 3.5.8-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.1.1
SAT Patch Nr: 2023
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • MozillaFirefox >= 3.5.8-0.4.1
  • MozillaFirefox-translations >= 3.5.8-0.4.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.4.1
sled10-sp3.x86-64
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sles10-sp3.ia64
sles10-sp3.x86-64
sles10-sp3-debuginfo.x86
ZYPP Patch Nr: 6867
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • MozillaFirefox >= 3.5.8-0.4.1
  • MozillaFirefox-translations >= 3.5.8-0.4.1
  • mozilla-xulrunner191 >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-32bit >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-translations >= 1.9.1.8-1.4.1
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.8-1.4.1
sled10-sp3.x86-64
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sles10-sp3.ia64
sles10-sp3.x86-64
sles10-sp3-debuginfo.x86
ZYPP Patch Nr: 6867
SUSE Linux Enterprise SDK 10 SP3
  • MozillaFirefox-branding-upstream >= 3.5.8-0.4.1
  • mozilla-xulrunner191-devel >= 1.9.1.8-1.4.1
  • python-xpcom191 >= 1.9.1.8-1.4.1
sled10-sp3.x86-64
sle10-sp3-sdk.s390x
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sles10-sp3.ia64
sles10-sp3.x86-64
sles10-sp3-debuginfo.x86
ZYPP Patch Nr: 6867
openSUSE 11.2
  • MozillaThunderbird-debuginfo >= 3.0.3-1.1.1
  • MozillaThunderbird-debugsource >= 3.0.3-1.1.1
  • MozillaThunderbird-devel-debuginfo >= 3.0.3-1.1.1
  • enigmail-debuginfo >= 1.0.1-1.1.1
  • hunspell-debuginfo >= 1.2.8-2.2
  • hunspell-debuginfo-32bit >= 1.2.8-2.2
  • hunspell-debugsource >= 1.2.8-2.2
openSUSE 11.2
  • MozillaThunderbird >= 3.0.3-1.1.1
  • MozillaThunderbird-devel >= 3.0.3-1.1.1
  • MozillaThunderbird-translations-common >= 3.0.3-1.1.1
  • MozillaThunderbird-translations-other >= 3.0.3-1.1.1
  • enigmail >= 1.0.1-1.1.1
  • hunspell >= 1.2.8-2.2
  • hunspell-32bit >= 1.2.8-2.2
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs-x86 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations-x86 >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise Desktop 11 GA
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.18-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.18-0.1.1
sle11-sdk.x86
sle11-sdk.ppc
sled11.x86-64
sle11-debuginfo.x86
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sled11.x86
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.ppc
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
SAT Patch Nr: 2033
openSUSE Tumbleweed
  • seamonkey >= 2.40-6.1
  • seamonkey-dom-inspector >= 2.40-6.1
  • seamonkey-irc >= 2.40-6.1
  • seamonkey-translations-common >= 2.40-6.1
  • seamonkey-translations-other >= 2.40-6.1
Patchnames:
openSUSE Tumbleweed GA seamonkey


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 MozillaFirefox Released
SUSE Linux Enterprise Desktop 11 GA MozillaFirefox Released
SUSE Linux Enterprise Server 10 SP3 MozillaFirefox Released
SUSE Linux Enterprise Server 11 GA MozillaFirefox Released